DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Classes | Public Member Functions | List of all members
FGCTAdditionalXRaySource Class Reference

Class representing the CT Additional X-Ray Source Functional Group Macro. More...

Inheritance diagram for FGCTAdditionalXRaySource:

## Classes
class | FGCTAdditionalXRaySourceItem
| Class representing an item of the "CT Additional X-Ray Source" Functional Group Macro. More...

## Public Member Functions
| FGCTAdditionalXRaySource ()
| Constructor, creates empty CT Additional X-Ray Source Functional Group.
virtual | ~FGCTAdditionalXRaySource ()
| Destructor, frees memory.
virtual FGBase * | clone () const
| Returns a deep copy of this object. More...
virtual DcmFGTypes::E_FGSharedType | getSharedType () const
| Get shared type of this functional group (can be both, per-frame and shared) More...
virtual OFCondition | check () const
| Check whether functional group contains valid data. More...
virtual void | clearData ()
| Clears all data.
virtual OFCondition | read (DcmItem &item)
| Read functional group from given item, i.e. read CT Additional X-Ray Source Sequence. More...
virtual OFCondition | write (DcmItem &item)
| Write functional group to given item, i.e. write CT Additional X-Ray Source Sequence. More...
virtual int | compare (const FGBase &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. More...
Public Member Functions inherited from FGBase
| FGBase (const DcmFGTypes::E_FGType fgType)
| Constructor, creates new functional group of given type. More...
virtual DcmFGTypes::E_FGType | getType () const
| Return the type of this functional group. More...
virtual | ~FGBase ()
| Virtual destructor.

## Additional Inherited Members
Protected Member Functions inherited from FGBase
virtual OFCondition | getItemFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, const unsigned long itemNum, DcmItem *&result)
| Get the item containing the payload of a functional group sequence, identified by the functional group's sequence key provided and the desired item number. More...
virtual OFCondition | getNumItemsFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, unsigned long &result)
| Get number of items in a functional group sequence, identified by the functional group's sequence key. More...
virtual OFCondition | createNewFGSequence (DcmItem &destination, const DcmTagKey &seqKey, const unsigned long numItems, DcmItem *&firstItem)
| Create functional group sequence specified by given sequence tag key. More...

## Detailed Description

Class representing the CT Additional X-Ray Source Functional Group Macro.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGCTAdditionalXRaySource::check | ( |  | ) | const
| virtual

Check whether functional group contains valid data.

Returns
  EC_Normal if data is valid, error otherwise

Implements FGBase.

## ◆ clone()

virtual FGBase* FGCTAdditionalXRaySource::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

Implements FGBase.

## ◆ compare()

virtual int FGCTAdditionalXRaySource::compare | ( | const FGBase & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value! Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable.

This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

Implements FGBase.

## ◆ getSharedType()

virtual DcmFGTypes::E_FGSharedType FGCTAdditionalXRaySource::getSharedType | ( |  | ) | const
| inline virtual

Get shared type of this functional group (can be both, per-frame and shared)

Returns
  Always returns EFGS_BOTH

Implements FGBase.

References DcmFGTypes::EFGS_BOTH.

## ◆ read()

virtual OFCondition FGCTAdditionalXRaySource::read | ( | DcmItem & | item | ) |
| virtual

Read functional group from given item, i.e. read CT Additional X-Ray Source Sequence.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

Implements FGBase.

## ◆ write()

virtual OFCondition FGCTAdditionalXRaySource::write | ( | DcmItem & | item | ) |
| virtual

Write functional group to given item, i.e. write CT Additional X-Ray Source Sequence.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Implements FGBase.

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgctadditionalxraysource.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1